For Developers
Update Feed Subscriber
PATCH https://ed.link/api/v2/teams/:team_id/applications/:application_id/subscribers/:subscriber_id
Updates properties of a feed subscriber.
Permissions
Requires the feed_subscribers.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:application_id | UUID | Yes | The ID of the application. |
:subscriber_id | UUID | Yes | The ID of the subscriber. |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
name | String | No | Updated subscriber label. |
type | String | No | Updated transport type. |
state | String | No | Updated state (active or paused). |
events | Array | No | Updated array of event type strings. |
configuration | Object | No | Updated transport parameters. |
Sample Request
const response = await axios.patch(
`https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/subscribers/${subscriber_id}`,
{
state: "paused"
},
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "1c7a216b-4e09-4d24-8f47-c0e815617a22",
"name": "Alerts Webhook",
"state": "paused"
}
}
